From foo@baz Tue Apr  9 12:12:43 2002
To: Greg KH <gregkh@suse.de>
Date: 22 Mar 2005 15:45:57 -08:00
From: gregkh@suse.de
Subject: driver core: put proper __attribute_ on class_device_create()

Signed-off-by: Greg Kroah-Hartman <gregkh@suse.de>


Index: linux-2.6.12-rc2/include/linux/device.h
===================================================================
--- linux-2.6.12-rc2.orig/include/linux/device.h	2005-04-05 14:33:28.000000000 -0700
+++ linux-2.6.12-rc2/include/linux/device.h	2005-04-05 14:33:30.000000000 -0700
@@ -249,7 +249,8 @@
 extern struct class *class_create(struct module *owner, char *name);
 extern void class_destroy(struct class *cls);
 extern struct class_device *class_device_create(struct class *cls, dev_t devt,
-						struct device *device, char *fmt, ...);
+						struct device *device, char *fmt, ...)
+					__attribute__((format(printf,4,5)));
 extern void class_device_destroy(struct class *cls, dev_t devt);
 
 
